summaryrefslogtreecommitdiff
path: root/ttf-ricty
diff options
context:
space:
mode:
Diffstat (limited to 'ttf-ricty')
-rw-r--r--ttf-ricty/slack-desc19
-rwxr-xr-xttf-ricty/ttf-ricty.SlackBuild100
-rw-r--r--ttf-ricty/ttf-ricty.info14
3 files changed, 133 insertions, 0 deletions
diff --git a/ttf-ricty/slack-desc b/ttf-ricty/slack-desc
new file mode 100644
index 0000000..56aa0fa
--- /dev/null
+++ b/ttf-ricty/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ttf-ricty: ttf-ricty (japanese programming font)
+ttf-ricty:
+ttf-ricty: Ricty is japanese font for programming based on Inconsolata and
+ttf-ricty: Migu 1M.
+ttf-ricty:
+ttf-ricty:
+ttf-ricty:
+ttf-ricty:
+ttf-ricty:
+ttf-ricty:
+ttf-ricty:
diff --git a/ttf-ricty/ttf-ricty.SlackBuild b/ttf-ricty/ttf-ricty.SlackBuild
new file mode 100755
index 0000000..f210c83
--- /dev/null
+++ b/ttf-ricty/ttf-ricty.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/bash
+
+# Slackware build script for ttf-ricty
+
+# Copyright 2022 Biwa <lqt@lqt.moe>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=ttf-ricty
+VERSION=${VERSION:-4.1.1}
+MIGU1M_VERSION=${MIGU1M_VERSION:-20200307}
+INCONSOLATA_VERSION=${INCONSOLATA_VERSION:-3.000}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_lqt}
+PKGTYPE=${PKGTYPE:-tgz}
+
+ARCH=noarch
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/lqt-build}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+unzip $CWD/migu-1m-$MIGU1M_VERSION.zip -d $PRGNAM-$VERSION
+unzip $CWD/v$INCONSOLATA_VERSION.zip -d $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+sh $CWD/ricty_generator-$VERSION.sh \
+ Inconsolata-$INCONSOLATA_VERSION/fonts/ttf/Inconsolata-Regular.ttf \
+ Inconsolata-$INCONSOLATA_VERSION/fonts/ttf/Inconsolata-Bold.ttf \
+ migu-1m-$MIGU1M_VERSION/migu-1m-regular.ttf \
+ migu-1m-$MIGU1M_VERSION/migu-1m-bold.ttf
+
+mkdir -p $PKG/usr/share/fonts/TTF
+install -m 0644 \
+ Ricty{,Discord}-{Regular,Bold}.ttf \
+ $PKG/usr/share/fonts/TTF
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+install -m 0644 $CWD/ricty_generator-$VERSION.sh $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/migu-1m-$MIGU1M_VERSION
+cp -a \
+ migu-1m-$MIGU1M_VERSION/migu-README.txt \
+ migu-1m-$MIGU1M_VERSION/ipag00303 \
+ migu-1m-$MIGU1M_VERSION/mplus-TESTFLIGHT-063a \
+ $PKG/usr/doc/$PRGNAM-$VERSION/migu-1m-$MIGU1M_VERSION
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/Inconsolata-$INCONSOLATA_VERSION
+cp -a \
+ Inconsolata-$INCONSOLATA_VERSION/AUTHORS.txt \
+ Inconsolata-$INCONSOLATA_VERSION/CONTRIBUTORS.txt \
+ Inconsolata-$INCONSOLATA_VERSION/DESCRIPTION.en_us.html \
+ Inconsolata-$INCONSOLATA_VERSION/FONTLOG.txt \
+ Inconsolata-$INCONSOLATA_VERSION/OFL.txt \
+ Inconsolata-$INCONSOLATA_VERSION/README.md \
+ Inconsolata-$INCONSOLATA_VERSION/documentation \
+ $PKG/usr/doc/$PRGNAM-$VERSION/Inconsolata-$INCONSOLATA_VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/ttf-ricty/ttf-ricty.info b/ttf-ricty/ttf-ricty.info
new file mode 100644
index 0000000..282385d
--- /dev/null
+++ b/ttf-ricty/ttf-ricty.info
@@ -0,0 +1,14 @@
+PRGNAM="ttf-ricty"
+VERSION="4.1.1"
+HOMEPAGE="https://rictyfonts.github.io/"
+DOWNLOAD="https://rictyfonts.github.io/files/ricty_generator-4.1.1.sh \
+ https://osdn.net/projects/mix-mplus-ipa/downloads/72511/migu-1m-20200307.zip \
+ https://github.com/googlefonts/Inconsolata/archive/refs/tags/v3.000.zip"
+MD5SUM="857fbc4df47af65c762a488af1498c12 \
+ aaf550f0b79ab8d2a902acb9f675b256 \
+ 2c4fbeaadc342ec49e374e9a544fd737"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="fontforge"
+MAINTAINER="Biwa"
+EMAIL="lqt@lqt.moe"